<?php
session_start();
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
$cuenta=0;
$qCuenta = "SELECT COUNT(id_prod) FROM productos";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]+1; // Cantidad de Productos para el contador.
	   };


 echo"<form name=\"Selec_Prod_Pedido\" action=\"crearinsc2.php\" method=\"post\">";
 
 
 
echo"<center><br><font size=\"6\" color=\"#5C3C12\">Crear Inscripci&oacute;n</font><br><br>Esta promocion tiene productos mixtos<input type=\"checkbox\" name=\"mixto\" value=\"si\" /><br><br>
Productos de Linea:<TABLE CellPadding=5>
			<TR bgcolor=\"#006633\">";   
            
                   
				echo "
				<th><font color=\"#FFFFFF\">Id. Producto</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
				<th><font color=\"#FFFFFF\">Puntos</th></font>
				
				<th><font color=\"#FFFFFF\">Cantidad</th></font><th><font color=\"#FFFFFF\">obsequio</th></font>
			</TR>";
			
			$i = 0;
	 $qd = "SELECT id_prod, nombreProd, precio, puntos FROM productos  where tipoprod=1 order by nombreProd";

	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  if (mysqli_affected_rows($conexion)){
			while($renglon = mysqli_fetch_row($cd))
			{
				echo"<tr bgcolor=\"#CCFFCC\">";
				echo "<td>".$renglon[0]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[0]>";
				echo "<td>".$renglon[1]."</td>";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";
				echo "<td>"."$".$renglon[2]."</td>";
				echo "<input type=hidden name=copia_precio$i value=$renglon[2]>";
				
				echo "<td align=\"center\">".$renglon[3]."</td>";
				echo "<input type=hidden name=copia_puntos$i value=$renglon[3]>";
				
				
				echo "<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>";
				echo "<td><input type=\"text\" name=reg$i size=\"5\" maxlength=\"5\"></td>";
								$i++;
				echo"</tr>";
			};
					
			echo "
			
			</table>"; 
			echo"<br><br>Papeleria y Accesorios: <TABLE CellPadding=5>
			<TR bgcolor=\"#006633\">";   
            
                   
				echo "
				<th><font color=\"#FFFFFF\">Id. Producto</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
				<th><font color=\"#FFFFFF\">Puntos</th></font>
				
				<th><font color=\"#FFFFFF\">Cantidad</th></font><th><font color=\"#FFFFFF\">obsequio</th></font>
			</TR>";
			
			
	 $qd = "SELECT id_prod, nombreProd, precio, puntos FROM productos  where tipoprod=2 order by nombreProd";

	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  if (mysqli_affected_rows($conexion)){
			while($renglon = mysqli_fetch_row($cd))
			{
				echo"<tr bgcolor=\"#CCFFCC\">";
				echo "<td>".$renglon[0]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[0]>";
				echo "<td>".$renglon[1]."</td>";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";
				echo "<td>"."$".$renglon[2]."</td>";
				echo "<input type=hidden name=copia_precio$i value=$renglon[2]>";
				
				echo "<td align=\"center\">".$renglon[3]."</td>";
				echo "<input type=hidden name=copia_puntos$i value=$renglon[3]>";
				
				
				echo "<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>";
				echo "<td><input type=\"text\" name=reg$i size=\"5\" maxlength=\"5\"></td>";
								$i++;
				echo"</tr>";
			};
					
			echo "
			
			</table>"; 
			
			echo "<br>
			
			<br>
	
					
						
						

					
			             
				<input type=hidden name=cuentale value=\"$cuenta\">
			<input type=hidden name=cuentaless value=\"11\">		 
			<input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\">
  		    </form></center>";     

	}
  }
  ?>